// 下列 ifdef 块是创建使从 DLL 导出更简单的
// 宏的标准方法。此 DLL 中的所有文件都是用命令行上定义的 LOGMODULE_EXPORTS
// 符号编译的。在使用此 DLL 的
// 任何其他项目上不应定义此符号。这样，源文件中包含此文件的任何其他项目都会将
// LOGMODULE_API 函数视为是从 DLL 导入的，而此 DLL 则将用此宏定义的
// 符号视为是被导出的。
#ifdef LOGMODULE_EXPORTS
#define LOGMODULE_API __declspec(dllexport)
#else
#define LOGMODULE_API __declspec(dllimport)
#endif

//// 此类是从 LogModule.dll 导出的
//class LOGMODULE_API CLogModule {
//public:
//	CLogModule(void);
//	// TODO: 在此添加您的方法。
//};
//
//extern LOGMODULE_API int nLogModule;
//
//LOGMODULE_API int fnLogModule(void);

extern "C" LOGMODULE_API BOOL StartServer(unsigned int port);
extern "C" LOGMODULE_API void StopServer();
extern "C" LOGMODULE_API void EnableWriteLog(bool bEnable);
extern "C" LOGMODULE_API void SetCaselogPath(LPCTSTR lpCaselogPath);
// 注意：给Python调用的接口，若不用于返回，尽量用int a 代替const int &a;
extern "C" LOGMODULE_API void SetConfigPath(LPCTSTR lpConfigPath);
extern "C" LOGMODULE_API void SetCaselogPath3(const char* buffer, const int& len);
extern "C" LOGMODULE_API LPCTSTR GetCaselogPath();
extern "C" LOGMODULE_API __int64 GetReceivePrintTime();
extern "C" LOGMODULE_API void SetReceivePrintTime(__int64 dt);
extern "C" LOGMODULE_API void ClosePythonLog();